curl --request POST \
--url https://sbx.api.easybilling.cloud/billing/api/accounts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--header 'trace-id: <trace-id>' \
--data '
{
"name": "Abbie",
"number": "ACC-0000000001",
"addressLine1": "street or PO Box",
"addressLine2": "Apt, suite, unit, building, floor etc.",
"country": "US",
"state": "CA",
"city": "Los Angeles",
"postalCode": "84001",
"email": "Abbie@gmail.com"
}
'import requests
url = "https://sbx.api.easybilling.cloud/billing/api/accounts"
payload = {
"name": "Abbie",
"number": "ACC-0000000001",
"addressLine1": "street or PO Box",
"addressLine2": "Apt, suite, unit, building, floor etc.",
"country": "US",
"state": "CA",
"city": "Los Angeles",
"postalCode": "84001",
"email": "Abbie@gmail.com"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"trace-id": "<trace-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
'trace-id': '<trace-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'Abbie',
number: 'ACC-0000000001',
addressLine1: 'street or PO Box',
addressLine2: 'Apt, suite, unit, building, floor etc.',
country: 'US',
state: 'CA',
city: 'Los Angeles',
postalCode: '84001',
email: 'Abbie@gmail.com'
})
};
fetch('https://sbx.api.easybilling.cloud/billing/api/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sbx.api.easybilling.cloud/billing/api/accounts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Abbie',
'number' => 'ACC-0000000001',
'addressLine1' => 'street or PO Box',
'addressLine2' => 'Apt, suite, unit, building, floor etc.',
'country' => 'US',
'state' => 'CA',
'city' => 'Los Angeles',
'postalCode' => '84001',
'email' => 'Abbie@gmail.com'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>",
"trace-id: <trace-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sbx.api.easybilling.cloud/billing/api/accounts"
payload := strings.NewReader("{\n \"name\": \"Abbie\",\n \"number\": \"ACC-0000000001\",\n \"addressLine1\": \"street or PO Box\",\n \"addressLine2\": \"Apt, suite, unit, building, floor etc.\",\n \"country\": \"US\",\n \"state\": \"CA\",\n \"city\": \"Los Angeles\",\n \"postalCode\": \"84001\",\n \"email\": \"Abbie@gmail.com\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("trace-id", "<trace-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://sbx.api.easybilling.cloud/billing/api/accounts")
.header("Idempotency-Key", "<idempotency-key>")
.header("trace-id", "<trace-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Abbie\",\n \"number\": \"ACC-0000000001\",\n \"addressLine1\": \"street or PO Box\",\n \"addressLine2\": \"Apt, suite, unit, building, floor etc.\",\n \"country\": \"US\",\n \"state\": \"CA\",\n \"city\": \"Los Angeles\",\n \"postalCode\": \"84001\",\n \"email\": \"Abbie@gmail.com\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://sbx.api.easybilling.cloud/billing/api/accounts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["trace-id"] = '<trace-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Abbie\",\n \"number\": \"ACC-0000000001\",\n \"addressLine1\": \"street or PO Box\",\n \"addressLine2\": \"Apt, suite, unit, building, floor etc.\",\n \"country\": \"US\",\n \"state\": \"CA\",\n \"city\": \"Los Angeles\",\n \"postalCode\": \"84001\",\n \"email\": \"Abbie@gmail.com\"\n}"
response = http.request(request)
puts response.read_body{
"name": "Abbie",
"number": "ACC-0000000001",
"addressLine1": "street or PO Box",
"addressLine2": "Apt, suite, unit, building, floor etc.",
"country": "US",
"state": "CA",
"city": "Los Angeles",
"postalCode": "84001",
"email": "Abbie@gmail.com",
"status": "active",
"source": "aws",
"taxExempt": false,
"id": "e3ef9de3-bbdc-495c-b608-a6fa1f62ada0",
"createdAt": "2026-03-02T03:39:30.676048Z",
"updatedAt": "2026-03-02T03:39:30.676051Z",
"createdBy": "f17bb9d8-ff51-423c-b6d3-bc474b755510",
"updatedBy": "f17bb9d8-ff51-423c-b6d3-bc474b755510"
}Create a new account
curl --request POST \
--url https://sbx.api.easybilling.cloud/billing/api/accounts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--header 'trace-id: <trace-id>' \
--data '
{
"name": "Abbie",
"number": "ACC-0000000001",
"addressLine1": "street or PO Box",
"addressLine2": "Apt, suite, unit, building, floor etc.",
"country": "US",
"state": "CA",
"city": "Los Angeles",
"postalCode": "84001",
"email": "Abbie@gmail.com"
}
'import requests
url = "https://sbx.api.easybilling.cloud/billing/api/accounts"
payload = {
"name": "Abbie",
"number": "ACC-0000000001",
"addressLine1": "street or PO Box",
"addressLine2": "Apt, suite, unit, building, floor etc.",
"country": "US",
"state": "CA",
"city": "Los Angeles",
"postalCode": "84001",
"email": "Abbie@gmail.com"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"trace-id": "<trace-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
'trace-id': '<trace-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'Abbie',
number: 'ACC-0000000001',
addressLine1: 'street or PO Box',
addressLine2: 'Apt, suite, unit, building, floor etc.',
country: 'US',
state: 'CA',
city: 'Los Angeles',
postalCode: '84001',
email: 'Abbie@gmail.com'
})
};
fetch('https://sbx.api.easybilling.cloud/billing/api/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sbx.api.easybilling.cloud/billing/api/accounts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Abbie',
'number' => 'ACC-0000000001',
'addressLine1' => 'street or PO Box',
'addressLine2' => 'Apt, suite, unit, building, floor etc.',
'country' => 'US',
'state' => 'CA',
'city' => 'Los Angeles',
'postalCode' => '84001',
'email' => 'Abbie@gmail.com'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>",
"trace-id: <trace-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sbx.api.easybilling.cloud/billing/api/accounts"
payload := strings.NewReader("{\n \"name\": \"Abbie\",\n \"number\": \"ACC-0000000001\",\n \"addressLine1\": \"street or PO Box\",\n \"addressLine2\": \"Apt, suite, unit, building, floor etc.\",\n \"country\": \"US\",\n \"state\": \"CA\",\n \"city\": \"Los Angeles\",\n \"postalCode\": \"84001\",\n \"email\": \"Abbie@gmail.com\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("trace-id", "<trace-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://sbx.api.easybilling.cloud/billing/api/accounts")
.header("Idempotency-Key", "<idempotency-key>")
.header("trace-id", "<trace-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Abbie\",\n \"number\": \"ACC-0000000001\",\n \"addressLine1\": \"street or PO Box\",\n \"addressLine2\": \"Apt, suite, unit, building, floor etc.\",\n \"country\": \"US\",\n \"state\": \"CA\",\n \"city\": \"Los Angeles\",\n \"postalCode\": \"84001\",\n \"email\": \"Abbie@gmail.com\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://sbx.api.easybilling.cloud/billing/api/accounts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["trace-id"] = '<trace-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Abbie\",\n \"number\": \"ACC-0000000001\",\n \"addressLine1\": \"street or PO Box\",\n \"addressLine2\": \"Apt, suite, unit, building, floor etc.\",\n \"country\": \"US\",\n \"state\": \"CA\",\n \"city\": \"Los Angeles\",\n \"postalCode\": \"84001\",\n \"email\": \"Abbie@gmail.com\"\n}"
response = http.request(request)
puts response.read_body{
"name": "Abbie",
"number": "ACC-0000000001",
"addressLine1": "street or PO Box",
"addressLine2": "Apt, suite, unit, building, floor etc.",
"country": "US",
"state": "CA",
"city": "Los Angeles",
"postalCode": "84001",
"email": "Abbie@gmail.com",
"status": "active",
"source": "aws",
"taxExempt": false,
"id": "e3ef9de3-bbdc-495c-b608-a6fa1f62ada0",
"createdAt": "2026-03-02T03:39:30.676048Z",
"updatedAt": "2026-03-02T03:39:30.676051Z",
"createdBy": "f17bb9d8-ff51-423c-b6d3-bc474b755510",
"updatedBy": "f17bb9d8-ff51-423c-b6d3-bc474b755510"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Required on every POST. Nonblank, at most 64 characters after trimming. Scoped to the authenticated tenant. Reuse the same key and request to replay a terminal result. A different payload or a request still in progress returns 409.
1 - 64\SBody
Name for this customer account
1 - 128"Abbie"
Number for this account. You can specify your own customer identifier. If you don't specify the system will generate one
1 - 128"ACC-0000000001"
Primary address line
6 - 256"street or PO Box"
Secondary address line
"Apt, suite, unit, building, floor etc."
Country code (2-digit)
"US"
State, county, province, or region.
"CA"
City name
"Los Angeles"
Postal or ZIP code
"84001"
Email address
3 - 128"abbie@gmail.com"
Source of the account
Tax exempt used for tax engine integration
Response
OK
Name for this customer account
1 - 128Number for this account. You can specify your own customer identifier. If you don't specify the system will generate one
1 - 128Primary address line
6 - 256Secondary address line
Country code (2-digit)
State, county, province, or region.
City name
Postal or ZIP code
Email address
3 - 128active, in-active, draft Source of the account
